Debian Bug report logs - #648604
lightdm doesn't update utmp/wtmp

version graph

Package: lightdm; Maintainer for lightdm is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for lightdm is src:lightdm.

Reported by: Santiago Garcia Mantinan <manty@debian.org>

Date: Sun, 13 Nov 2011 12:15:02 UTC

Severity: wishlist

Tags: fixed-upstream

Merged with 682221, 711382

Found in versions lightdm/1.0.6-1, lightdm/1.2.2-3, lightdm/1.2.2-4

Fixed in versions lightdm/1.2.3-1, lightdm/1.4.0-1

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/870297

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Sun, 13 Nov 2011 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 13 Nov 2011 12:15:42 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: users are not logged in
Date: Sun, 13 Nov 2011 13:03:46 +0100
Package: lightdm
Version: 1.0.6-1
Severity: critical

Hi!

I have found that when you log into lightdm my user is not shown as logged
in, wtm doesn't have a trace about it according to last and neither w or pinky
show it as logged in.

This is a serious problem as there are scripts that rely on this data to be
accurate to protect the system, for example the lid scripts from acpi should
trigger xscreensaver to protect the system and they don't as they rely on
pinky showing the user, which as I say doesn't atm.

I have seen #639988 talking about a dependency on accountsservice and I
said, no bug, my fault, I'm missing accountsservice, but the fact is that I
have it installed and even with it installed I'm not getting this data.

My system gnomity tends to zero, so if any of this stuff relys on any gnome
stuff (if like it's said on #639988 accountsservice is too gnomish this may
be the case) I may be missing that part.

However it is, I really think that lightdm should depend, not suggest or
recommend any needed package for it to be able to mark the users as logged
into the machine in order for other parts of Debian not to break because of
this lack of information.

If you need any other info on my setup just ask for it.

Regards.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable-updates'), (500, 'unstable'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=gl_ES.UTF-8, LC_CTYPE=gl_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lightdm depends on:
ii  adduser                3.113    
ii  consolekit             0.4.5-1  
ii  dbus                   1.4.16-1 
ii  debconf [debconf-2.0]  1.5.40   
ii  libc6                  2.13-21  
ii  libglib2.0-0           2.28.8-1 
ii  libpam0g               1.1.3-4  
ii  libxcb1                1.7-3    
ii  libxdmcp6              1:1.1.0-3
ii  lightdm-gtk-greeter    1.0.6-1  

Versions of packages lightdm recommends:
ii  xserver-xorg  1:7.6+9

Versions of packages lightdm suggests:
ii  accountsservice  0.6.15-1

-- debconf information:
  lightdm/daemon_name: /usr/sbin/lightdm
* shared/default-x-display-manager: lightdm




Severity set to 'normal' from 'critical' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 07:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Wed, 16 Nov 2011 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 16 Nov 2011 18:54:03 GMT) Full text and rfc822 format available.

Message #12 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 648604@bugs.debian.org
Cc: corsac@debian.org
Subject: About the severity of the bug.
Date: Wed, 16 Nov 2011 19:43:12 +0100
Hi!

I really meant the critical severity of this bug as it is breaking other
parts of the distribution, not knowing that a user is logged in when it is
seems like a security critical bug to me, but even if it isn't, breaking
other parts of the distro calls for a critical bug.

Anyway, the severity was not to annoy anybody but because I meant it and I'd
like this bug to get fixed, I have tested version 1.0.6-2 of the package on
a different machine and the bug is still there.

I don't know what info can I send you to help fix this bug, can you at least
tell me if you are able to reproduce this on any machine?

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Wed, 16 Nov 2011 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 16 Nov 2011 20:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 648604@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 648604@bugs.debian.org
Subject: Re: About the severity of the bug.
Date: Wed, 16 Nov 2011 21:05:29 +0100
[Message part 1 (text/plain, inline)]
On mer., 2011-11-16 at 19:43 +0100, Santiago Garcia Mantinan wrote:
> 
> I really meant the critical severity of this bug as it is breaking other
> parts of the distribution, not knowing that a user is logged in when it is
> seems like a security critical bug to me, but even if it isn't, breaking
> other parts of the distro calls for a critical bug.

No, please re-read  policy. Overestimating the severity won't help
fixing the bug. Quite the contrary in fact, it just pisses me off and
doesn't exactly motivates me.
> 
> Anyway, the severity was not to annoy anybody but because I meant it and I'd
> like this bug to get fixed, I have tested version 1.0.6-2 of the package on
> a different machine and the bug is still there.

Well, sure, everyone likes bugs to be fixed, including me. But the right
way is to report bugs the most accurately possible. And then provide
patches.
> 
> I don't know what info can I send you to help fix this bug, can you at least
> tell me if you are able to reproduce this on any machine?

I have no idea, you didn't really tell what you expected and what was
different. lightdm just works for me.

I assume this is like https://bugs.launchpad.net/lightdm/+bug/871070
which has way better information than this one... Could you at least
confirm?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Thu, 17 Nov 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 17 Nov 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 648604@bugs.debian.org
Subject: Re: About the severity of the bug.
Date: Thu, 17 Nov 2011 20:11:45 +0100
> No, please re-read  policy. Overestimating the severity won't help
> fixing the bug. Quite the contrary in fact, it just pisses me off and
> doesn't exactly motivates me.

Well, I didn't mean to piss anybody off or anything like that, In fact, when
I replied to you I didn't set the severity back to critical and instead I
just commented why I though it was like that.

I just wanted to report a bug wich causes unrelated software on the system
(acpi scripts) to fail and introduces a security problem (xscreensaver is
not being told to lock the session on hibernation or laptop lid signals),
any of these two things are enough for a critical severity accordingng to
bug-maint-info.txt:

   critical
          makes unrelated software on the system (or the whole system)
          break, or causes serious data loss, or introduces a security
          hole on systems where you install the package.

Sorry, I couldn't find any info on this on the policy, if you are so kind to
tell me why this should not be critical, I'd love to know it.


> Well, sure, everyone likes bugs to be fixed, including me. But the right
> way is to report bugs the most accurately possible. And then provide
> patches.

I'd provide a patch if I knew how to solve the problem, but I don't, if you
could tell me how to provide more info I'd be happy to report it.

> > I don't know what info can I send you to help fix this bug, can you at least
> > tell me if you are able to reproduce this on any machine?
> I have no idea, you didn't really tell what you expected and what was
> different. lightdm just works for me.

Different? I don't get what info you are asking me for.

Like I told you it is failing for me on the two machines on which I have
installed it, one is running wheezy and the other is running sid, both are
amd64, but for what I can read it is also failing for other people on other
arches, at least i386.

> I assume this is like https://bugs.launchpad.net/lightdm/+bug/871070
> which has way better information than this one... Could you at least
> confirm?

Confirm that the bug is the same one? seems so, yes.

For what I see they have tried changing some pam stuff without any success,
and I haven't modified that at all.

It is difficult for me to know why it fails as I'm not able to get it to
work, I'm adding at the end of the mail a debug of a session of lightdm on
which I logged in as manty and then logged out, then killed lightdm, so that
you can compare this with your working session.

Let's hope we can find something here as I don't know what else to add to
the bugreport.

Regards.

** (lightdm:2108): DEBUG: Logging to /var/log/lightdm/lightdm.log
** (lightdm:2108): DEBUG: Starting Light Display Manager 1.0.6, UID=0 PID=2108
** (lightdm:2108): DEBUG: Loaded configuration from /etc/lightdm/lightdm.conf
** (lightdm:2108): DEBUG: Using D-Bus name org.freedesktop.DisplayManager
** (lightdm:2108): DEBUG: Registered seat module xlocal
** (lightdm:2108): DEBUG: Registered seat module xremote
** (lightdm:2108): DEBUG: Adding default seat
** (lightdm:2108): DEBUG: Starting seat
** (lightdm:2108): DEBUG: Starting new display for greeter
** (lightdm:2108): DEBUG: Starting local X display
** (lightdm:2108): DEBUG: Could not run plymouth --ping: Failed to execute child process "plymouth" (No such file or directory)
** (lightdm:2108): DEBUG: Using VT 7
** (lightdm:2108): DEBUG: Activating VT 7
** (lightdm:2108): DEBUG: Logging to /var/log/lightdm/x-0.log
** (lightdm:2108): DEBUG: Writing X server authority to /var/run/lightdm/root/:0
** (lightdm:2108): DEBUG: Launching X Server
** (lightdm:2108): DEBUG: Launching process 2112: /usr/bin/X :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
** (lightdm:2108): DEBUG: Waiting for ready signal from X server :0
** (lightdm:2108): DEBUG: Acquired bus name org.freedesktop.DisplayManager
** (lightdm:2108): DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
** (lightdm:2108): DEBUG: Got signal 10 from process 2112
** (lightdm:2108): DEBUG: Got signal from X server :0
** (lightdm:2108): DEBUG: Connecting to XServer :0
** (lightdm:2108): DEBUG: Starting greeter session
** (lightdm:2108): DEBUG: pam_start("lightdm", "lightdm") -> (0x7fa509a5e4f0, 0)
** (lightdm:2108): DEBUG: Starting session lightdm-gtk-greeter as user lightdm
** (lightdm:2108): DEBUG: Logging to /var/log/lightdm/x-0-greeter.log
** (lightdm:2108): DEBUG: Launching session
** (lightdm:2108): DEBUG: pam_set_item(0x7fa509a5e4f0, 3, ":0") -> 0 (Success)
** (lightdm:2108): DEBUG: pam_open_session(0x7fa509a5e4f0, 0) -> 0 (Success)
** (lightdm:2108): DEBUG: Opened ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556321.662335-2085414384
** (lightdm:2108): DEBUG: Dropping privileges to uid 101
** (lightdm:2108): DEBUG: Adding session authority to /var/lib/lightdm/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Launching process 2129: /usr/sbin/lightdm-gtk-greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 9 bytes from greeter
** (lightdm:2108): DEBUG: Greeter connected version=1.0.6
** (lightdm:2108): DEBUG: Wrote 108 bytes to greeter
** (lightdm:2108): DEBUG: Greeter connected, display is ready
** (lightdm:2108): DEBUG: New display ready, switching to it
** (lightdm:2108): DEBUG: Activating VT 7
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Greeter start authentication
** (lightdm:2108): DEBUG: pam_start("lightdm", "(null)") -> (0x7fa509a6bba0, 0)
** (lightdm:2108): DEBUG: Prompt greeter with 1 message(s)
** (lightdm:2108): DEBUG: Wrote 34 bytes to greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 13 bytes from greeter
** (lightdm:2108): DEBUG: Continue authentication
** (lightdm:2108): DEBUG: Prompt greeter with 1 message(s)
** (lightdm:2108): DEBUG: Wrote 43 bytes to greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 17 bytes from greeter
** (lightdm:2108): DEBUG: Continue authentication
** (lightdm:2108): DEBUG: pam_authenticate(0x7fa509a6bba0, 0) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_acct_mgmt(0x7fa509a6bba0, 0) -> 0 (Success)
** (lightdm:2108): DEBUG: Authenticate result for user manty: Success
** (lightdm:2108): DEBUG: User manty authorized
** (lightdm:2108): DEBUG: Wrote 25 bytes to greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 20 bytes from greeter
** (lightdm:2108): DEBUG: Greeter requests session lightdm-xsession
** (lightdm:2108): DEBUG: Using session lightdm-xsession
** (lightdm:2108): DEBUG: Stopping greeter
** (lightdm:2108): DEBUG: Dropping privileges to uid 101
** (lightdm:2108): DEBUG: Removing session authority from /var/lib/lightdm/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Sending signal 15 to process 2129
** (lightdm:2108): DEBUG: Process 2129 exited with return value 0
** (lightdm:2108): DEBUG: pam_close_session(0x7fa509a5e4f0) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_setcred(0x7fa509a5e4f0, PAM_DELETE_CRED) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_end(0x7fa509a5e4f0) -> 0
** (lightdm:2108): DEBUG: Ending ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556321.662335-2085414384
** (lightdm:2108): DEBUG: Greeter quit
** (lightdm:2108): DEBUG: Starting user session
** (lightdm:2108): DEBUG: Dropping privileges to uid 1000
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Dropping privileges to uid 1000
** (lightdm:2108): DEBUG: Writing /home/manty/.dmrc
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Starting session lightdm-xsession as user manty
** (lightdm:2108): DEBUG: Logging to /home/manty/.xsession-errors
** (lightdm:2108): DEBUG: Launching session
** (lightdm:2108): DEBUG: pam_set_item(0x7fa509a6bba0, 3, ":0") -> 0 (Success)
** (lightdm:2108): DEBUG: pam_open_session(0x7fa509a6bba0, 0) -> 0 (Success)
** (lightdm:2108): DEBUG: Opened ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556334.386830-235947503
** (lightdm:2108): DEBUG: Dropping privileges to uid 1000
** (lightdm:2108): DEBUG: Adding session authority to /home/manty/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Launching process 2151: /etc/X11/Xsession 'default'
** (lightdm:2108): DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
** (lightdm:2108): DEBUG: Process 2151 exited with return value 0
** (lightdm:2108): DEBUG: pam_close_session(0x7fa509a6bba0) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_setcred(0x7fa509a6bba0, PAM_DELETE_CRED) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_end(0x7fa509a6bba0) -> 0
** (lightdm:2108): DEBUG: Ending ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556334.386830-235947503
** (lightdm:2108): DEBUG: User session quit
** (lightdm:2108): DEBUG: Stopping display
** (lightdm:2108): DEBUG: Sending signal 15 to process 2112
** (lightdm:2108): DEBUG: Dropping privileges to uid 1000
** (lightdm:2108): DEBUG: Removing session authority from /home/manty/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Process 2112 exited with return value 0
** (lightdm:2108): DEBUG: X server stopped
** (lightdm:2108): DEBUG: Removing X server authority /var/run/lightdm/root/:0
** (lightdm:2108): DEBUG: Releasing VT 7
** (lightdm:2108): DEBUG: Display server stopped
** (lightdm:2108): DEBUG: Display stopped
** (lightdm:2108): DEBUG: Active display stopped, switching to greeter
** (lightdm:2108): DEBUG: Switching to greeter
** (lightdm:2108): DEBUG: Starting new display for greeter
** (lightdm:2108): DEBUG: Starting local X display
** (lightdm:2108): DEBUG: Using VT 7
** (lightdm:2108): DEBUG: Logging to /var/log/lightdm/x-0.log
** (lightdm:2108): DEBUG: Writing X server authority to /var/run/lightdm/root/:0
** (lightdm:2108): DEBUG: Launching X Server
** (lightdm:2108): DEBUG: Launching process 2255: /usr/bin/X :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
** (lightdm:2108): DEBUG: Waiting for ready signal from X server :0
** (lightdm:2108): DEBUG: Got signal 10 from process 2255
** (lightdm:2108): DEBUG: Got signal from X server :0
** (lightdm:2108): DEBUG: Connecting to XServer :0
** (lightdm:2108): DEBUG: Starting greeter session
** (lightdm:2108): DEBUG: pam_start("lightdm", "lightdm") -> (0x7fa509a35c90, 0)
** (lightdm:2108): DEBUG: Starting session lightdm-gtk-greeter as user lightdm
** (lightdm:2108): DEBUG: Logging to /var/log/lightdm/x-0-greeter.log
** (lightdm:2108): DEBUG: Launching session
** (lightdm:2108): DEBUG: pam_set_item(0x7fa509a35c90, 3, ":0") -> 0 (Success)
** (lightdm:2108): DEBUG: pam_open_session(0x7fa509a35c90, 0) -> 0 (Success)
** (lightdm:2108): DEBUG: Opened ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556344.630914-885222406
** (lightdm:2108): DEBUG: Dropping privileges to uid 101
** (lightdm:2108): DEBUG: Adding session authority to /var/lib/lightdm/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Launching process 2270: /usr/sbin/lightdm-gtk-greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 9 bytes from greeter
** (lightdm:2108): DEBUG: Greeter connected version=1.0.6
** (lightdm:2108): DEBUG: Wrote 108 bytes to greeter
** (lightdm:2108): DEBUG: Greeter connected, display is ready
** (lightdm:2108): DEBUG: New display ready, switching to it
** (lightdm:2108): DEBUG: Activating VT 7
** (lightdm:2108): DEBUG: Stopping greeter display being switched from
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Read 8 bytes from greeter
** (lightdm:2108): DEBUG: Greeter start authentication
** (lightdm:2108): DEBUG: pam_start("lightdm", "(null)") -> (0x7fa509a62250, 0)
** (lightdm:2108): DEBUG: Prompt greeter with 1 message(s)
** (lightdm:2108): DEBUG: Wrote 34 bytes to greeter
** (lightdm:2108): DEBUG: Got signal 2 from process 0
** (lightdm:2108): DEBUG: Caught Interrupt signal, shutting down
** (lightdm:2108): DEBUG: Stopping display manager
** (lightdm:2108): DEBUG: Stopping seat
** (lightdm:2108): DEBUG: Stopping display
** (lightdm:2108): DEBUG: Sending signal 15 to process 2255
** (lightdm:2108): DEBUG: Dropping privileges to uid 101
** (lightdm:2108): DEBUG: Removing session authority from /var/lib/lightdm/.Xauthority
** (lightdm:2108): DEBUG: Restoring privileges
** (lightdm:2108): DEBUG: Sending signal 15 to process 2270
** (lightdm:2108): DEBUG: Process 2255 exited with return value 0
** (lightdm:2108): DEBUG: X server stopped
** (lightdm:2108): DEBUG: Removing X server authority /var/run/lightdm/root/:0
** (lightdm:2108): DEBUG: Releasing VT 7
** (lightdm:2108): DEBUG: Display server stopped
** (lightdm:2108): DEBUG: Process 2270 exited with return value 1
** (lightdm:2108): DEBUG: pam_close_session(0x7fa509a35c90) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_setcred(0x7fa509a35c90, PAM_DELETE_CRED) -> 0 (Success)
** (lightdm:2108): DEBUG: pam_end(0x7fa509a35c90) -> 0
** (lightdm:2108): DEBUG: Ending ConsoleKit session 316761f455af7a55393d44344a5e591e-1321556344.630914-885222406
** (lightdm:2108): DEBUG: Greeter quit
** (lightdm:2108): DEBUG: Display stopped
** (lightdm:2108): DEBUG: Seat stopped
** (lightdm:2108): DEBUG: Display manager stopped
** (lightdm:2108): DEBUG: Stopping Light Display Manager
** (lightdm:2108): DEBUG: pam_authenticate(0x7fa509a62250, 0) -> 10 (User not known to the underlying authentication module)


-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Sat, 19 Nov 2011 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Colberg <peter@colberg.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sat, 19 Nov 2011 20:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 648604@bugs.debian.org (full text, mbox):

From: Peter Colberg <peter@colberg.org>
To: 648604@bugs.debian.org
Subject: Re: users are not logged in
Date: Sat, 19 Nov 2011 15:21:06 -0500
In case someone else is searching for a work-around for this issue:

ck-history --last-compat

This is sufficient to determine the logged-in user with X display,
e.g. to lock the screen via a script upon an ACPI lid close event.

Peter




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Tue, 29 Nov 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 29 Nov 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 648604@bugs.debian.org
Subject: workaround while this is not fixed
Date: Tue, 29 Nov 2011 17:29:12 +0100
Thanks to Peter Colberg for the ck-history hint, it seems console-kit is
having it's own history log and thus it is able to identify the users where
pinky, last, w and the like can't.

I've written this quick hack so that I can have screen locking using
console-kit, while nobody addresses this properly.

--- power-funcs	2011-11-16 19:02:31.104327786 +0100
+++ /usr/share/acpi-support/power-funcs	2011-11-29 16:57:04.511211873 +0100
@@ -17,6 +17,7 @@
 	local plist user l lastpp ds startx pid userhome
 
 	plist=$(pinky -fw) || pwf_error "pinky lost"
+	if [ -z "$plist" ];then plist=$(ck-history --last-compat|sed -n "s/\([^:]*:[^ ]*\).*still logged in[ ]*/\1/p");fi
 	user=
 	while read l; do
 		set -- $l

Hope it solves the problem for other people while we don't get better
support from lightdm.

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Tue, 29 Nov 2011 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 29 Nov 2011 22:27:06 GMT) Full text and rfc822 format available.

Message #37 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 648604@bugs.debian.org
Subject: There is a bug on my previous patch
Date: Tue, 29 Nov 2011 23:23:12 +0100
It seems my aproach was wrong as when somebody logs on a console or remotely
it will get well logged in and thus pinky will show him and not return an
empty string like I was thinking it would output, here is what this machine
was showing when used on X and accessed as well from ssh:

manty@bat:~$ ck-history --last-compat|grep still
manty    tty7         :0               Mon Nov 28 23:53   still logged in
manty@bat:~$ w
 21:11:06 up 1 day, 14:53,  1 user,  load average: 0,05, 0,06, 0,05
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
manty    pts/4    dis.alpha.red    20:28    3:56   0.02s  0.02s -bash
manty@bat:~$

This is the normal output one would expect from pinky on a normal machine
(running gdm instead of lightdm):

manty@can:~$ pinky -fw
root     *tty2            2011-11-29 21:04
anahi    *tty7     6d     2011-11-23 03:46 :0
manty    *tty8     6d     2011-11-29 21:04 :20
manty     pts/0           2011-11-29 21:02 dis.alpha.red

as you can see there were two X users, root was on console (tty2) and I was
accessing it from ssh as well.

Here is a reworked patch, it is against the original power-funcs, this time
I'll trust ck-history if we have it available and if not I'll go with pinky.

--- power-funcs	2011-03-23 20:28:30.000000000 +0100
+++ /usr/share/acpi-support/power-funcs	2011-11-29 21:33:37.698289267 +0100
@@ -16,7 +16,11 @@
 getXuser() {
 	local plist user l lastpp ds startx pid userhome
 
-	plist=$(pinky -fw) || pwf_error "pinky lost"
+	if [ -x /usr/bin/ck-history ] then 
+		plist=$(ck-history --last-compat|sed -n "s/\([^:]*:[^ ]*\).*still logged in[ ]*/\1/p")
+	else
+		plist=$(pinky -fw) || pwf_error "pinky lost"
+	fi
 	user=
 	while read l; do
 		set -- $l


Regards...
-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Tue, 29 Nov 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 29 Nov 2011 23:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 648604@bugs.debian.org
Subject: a small typo on last patch
Date: Wed, 30 Nov 2011 00:54:25 +0100
Sorry, it seems I did a typo there, a ; was missing before the then, I must
have sent a previous patch by error, here is the good one:

--- power-funcs	2011-03-23 20:28:30.000000000 +0100
+++ /usr/share/acpi-support/power-funcs	2011-11-29 21:33:37.698289267 +0100
@@ -16,7 +16,11 @@
 getXuser() {
 	local plist user l lastpp ds startx pid userhome
 
-	plist=$(pinky -fw) || pwf_error "pinky lost"
+	if [ -x /usr/bin/ck-history ]; then 
+		plist=$(ck-history --last-compat|sed -n "s/\([^:]*:[^ ]*\).*still logged in[ ]*/\1/p")
+	else
+		plist=$(pinky -fw) || pwf_error "pinky lost"
+	fi
 	user=
 	while read l; do
 		set -- $l

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Set Bug forwarded-to-address to 'https://bugs.launchpad.net/lightdm/+bug/871070'. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 06:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Thu, 01 Dec 2011 15:24:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 01 Dec 2011 15:24:20 GMT) Full text and rfc822 format available.

Message #49 received at 648604@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 648604@bugs.debian.org
Subject: One more problem with this approach
Date: Thu, 1 Dec 2011 16:23:04 +0100
Hi!

I've just discovered one more problem with this last approach, when nobody
is logged in on X (lightdm is asking for username) ck-history will report
that lightdm is logged in, this is ck-history relevant output:
lightdm  tty7         :0               Thu Dec  1 16:12   still logged in   

so you can get your screen locked with the lightdm account like it just
happened to me after hibernating with nobody logged in :-(

I have not yet thought how to avoid this, ovbious workaround would be a
"|grep -v ^lightdm" before the sed but I don't really like that one.

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Thu, 01 Dec 2011 16:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 01 Dec 2011 16:00:19 GMT) Full text and rfc822 format available.

Message #54 received at 648604@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>, 648604@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#648604: One more problem with this approach
Date: Thu, 01 Dec 2011 16:58:36 +0100
[Message part 1 (text/plain, inline)]
On jeu., 2011-12-01 at 16:23 +0100, Santiago Garcia Mantinan wrote:
> Hi!
> 
> I've just discovered one more problem with this last approach, when nobody
> is logged in on X (lightdm is asking for username) ck-history will report
> that lightdm is logged in, this is ck-history relevant output:
> lightdm  tty7         :0               Thu Dec  1 16:12   still logged in   
> 
> so you can get your screen locked with the lightdm account like it just
> happened to me after hibernating with nobody logged in :-(
> 
> I have not yet thought how to avoid this, ovbious workaround would be a
> "|grep -v ^lightdm" before the sed but I don't really like that one.
> 
> Regards...

Instead of trying to find workarounds, why not adding this utmp support
to lightdm directly?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/870297' from 'https://bugs.launchpad.net/lightdm/+bug/871070' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 14:09:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'lightdm doesn't update utmp/wtmp' from 'users are not logged in' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 21:17:21 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 21:17:22 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Jun 2012 16:39:19 GMT) Full text and rfc822 format available.

Marked as found in versions lightdm/1.2.2-3. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 19:09:03 GMT) Full text and rfc822 format available.

Merged 648604 682221 Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 19:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Tue, 16 Oct 2012 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 16 Oct 2012 12:48:05 GMT) Full text and rfc822 format available.

Message #71 received at 648604@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Debian Bug Tracking System <648604@bugs.debian.org>
Subject: Re: lightdm doesn't update utmp/wtmp
Date: Tue, 16 Oct 2012 14:45:07 +0200
Package: lightdm
Followup-For: Bug #648604

FYI, this problem has been fixed in lightdm 1.4.0. I just installed
version 1.4.0-1 from experimental and utmp is correctly updated
again.

However, wtmp is still *not* written and X sessions therefore don't
show up in lastlog. Changing the default display manager to gdm3
fixes that, so it's definetely an issue with lightdm which remains
to be fixed.

Cheers,

Adrian

===================================================================

root@unstable:~# w
 14:29:54 up 2 min,  1 user,  load average: 0.13, 0.15, 0.06
USER     TTY      FROM             LOGIN@   IDLE   JCPU   PCPU WHAT
root     pts/1    192.168.100.1    14:29    0.00s  0.03s  0.00s w
root@unstable:~# ps aux |grep awesome
glaubitz  1565  0.2  0.5 157852 10996 ?        Ss   14:28   0:00 awesome
glaubitz  1592  0.0  0.0  12372   328 ?        Ss   14:28   0:00 /usr/bin/ssh-agent /usr/bin/dbus-launch --exit-with-session awesome
glaubitz  1595  0.0  0.0  24176   560 ?        S    14:28   0:00 /usr/bin/dbus-launch --exit-with-session awesome
root      1766  0.0  0.0   7816   844 pts/1    S+   14:29   0:00 grep awesome
root@unstable:~# dpkg -l lightdm |grep ^ii
ii  lightdm                               1.2.2-4                              amd64        simple display manager
root@unstable:~# apt-get install lightdm -t=experimental
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  brasero-cdrkit dvdauthor ekiga genisoimage growisofs libcapi20-3 libcurl3-nss
  libleveldb1 libodbc1 libopal3.10.4 libpt2.10.4 librados2 librbd1 libsnappy1 libsrtp0
  libunique-1.0-0 liferea liferea-data wodim
Use 'apt-get autoremove' to remove them.
The following packages will be upgraded:
  lightdm
1 upgraded, 0 newly installed, 0 to remove and 382 not upgraded.
Need to get 134 kB of archives.
After this operation, 97.3 kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org/debian/ experimental/main lightdm amd64 1.4.0-1 [134 kB]
Fetched 134 kB in 0s (1,872 kB/s)
Reading changelogs... Done
Preconfiguring packages ...
(Reading database ... 154996 files and directories currently installed.)
Preparing to replace lightdm 1.2.2-4 (using .../lightdm_1.4.0-1_amd64.deb) ...
Unpacking replacement lightdm ...
Processing triggers for man-db ...
Setting up lightdm (1.4.0-1) ...
Installing new version of config file /etc/pam.d/lightdm ...
Installing new version of config file /etc/pam.d/lightdm-autologin ...
Installing new version of config file /etc/lightdm/lightdm.conf ...
[ ok ] Reloading dbus configuration (via systemctl): dbus.service.
root@unstable:~# w
 14:31:24 up 4 min,  2 users,  load average: 0.30, 0.19, 0.08
USER     TTY      FROM             LOGIN@   IDLE   JCPU   PCPU WHAT
root     pts/1    192.168.100.1    14:29    0.00s  0.04s  0.00s w
glaubitz tty7     :0               14:31    4:06   0.79s  0.04s awesome
root@unstable:~#

===================================================================

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (100, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lightdm depends on:
ii  adduser                                3.113+nmu3
ii  consolekit                             0.4.5-3.1
ii  dbus                                   1.6.8-1
ii  debconf [debconf-2.0]                  1.5.46
ii  libc6                                  2.13-35
ii  libglib2.0-0                           2.32.3-1
ii  libpam0g                               1.1.3-7.1
ii  libxcb1                                1.8.1-1
ii  libxdmcp6                              1:1.1.1-1
ii  lightdm-gtk-greeter [lightdm-greeter]  1.1.6-2

Versions of packages lightdm recommends:
ii  xserver-xorg  1:7.7+1

Versions of packages lightdm suggests:
ii  accountsservice  0.6.21-6
ii  upower           0.9.17-1

-- debconf information:
  lightdm/daemon_name: /usr/sbin/lightdm
* shared/default-x-display-manager: gdm3



Marked as fixed in versions lightdm/1.4.0-1. Request was from John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> to control@bugs.debian.org. (Tue, 16 Oct 2012 13:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Wed, 17 Oct 2012 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 17 Oct 2012 14:21:07 GMT) Full text and rfc822 format available.

Message #78 received at 648604@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Debian Bug Tracking System <648604@bugs.debian.org>
Subject: Re: lightdm doesn't update utmp/wtmp
Date: Wed, 17 Oct 2012 16:18:13 +0200
[Message part 1 (text/plain, inline)]
Package: lightdm
Followup-For: Bug #648604

Hi,

I've hacked lightdm a bit and added support for wtmp, I'm attaching
a patch. Support for btmp is still missing but that will also only
involve a few changes.

Cheers,

Adrian
[0001-add-wtmp-support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Wed, 17 Oct 2012 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 17 Oct 2012 15:09:09 GMT) Full text and rfc822 format available.

Message #83 received at 648604@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 648604@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#648604: lightdm doesn't update utmp/wtmp
Date: Wed, 17 Oct 2012 17:05:27 +0200
[Message part 1 (text/plain, inline)]
On mer., 2012-10-17 at 16:18 +0200, John Paul Adrian Glaubitz wrote:
> Package: lightdm
> Followup-For: Bug #648604
> 
> Hi,
> 
> I've hacked lightdm a bit and added support for wtmp, I'm attaching
> a patch. Support for btmp is still missing but that will also only
> involve a few changes.
> 
Can you attach that patch to the launchpad bug?
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Wed, 17 Oct 2012 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 17 Oct 2012 16:15:02 GMT) Full text and rfc822 format available.

Message #88 received at 648604@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 648604@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#648604: lightdm doesn't update utmp/wtmp
Date: Wed, 17 Oct 2012 18:12:53 +0200
Hi Yves-Alexis,

On Wed, Oct 17, 2012 at 05:05:27PM +0200, Yves-Alexis Perez wrote:
> On mer., 2012-10-17 at 16:18 +0200, John Paul Adrian Glaubitz wrote:
> >
> > I've hacked lightdm a bit and added support for wtmp, I'm attaching
> > a patch. Support for btmp is still missing but that will also only
> > involve a few changes.
> > 
> Can you attach that patch to the launchpad bug?

Yes, sure. I will attach the patch to the upstream bug report on
Launchpad once I've made some more changes. The btmp support is still
missing which logs for "lastb" (unsuccessful logins).

Cheers,

Adrian



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Thu, 18 Oct 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 18 Oct 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #93 received at 648604@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 648604@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#648604: lightdm doesn't update utmp/wtmp
Date: Thu, 18 Oct 2012 14:42:13 +0200
Hi Yves-Alexis,

while working to extend lightdm to btmp also, I read through the
upstream bug report again and saw that the last log issue was discussed
as well and it was in fact addressed.

In order to have lightdm write to the last log, you have to enable the
pam_lastlog.so module in /etc/pam.d/lightdm with:

session optional pam_lastlog.so

The last log is then written correctly. I therefore suggest to add the
aforementioned line to the lightdm PAM configuration file instead of
patching the code, thus ignoring my suggested patch.

Cheers,

Adrian



Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sat, 02 Feb 2013 13:06:03 GMT) Full text and rfc822 format available.

Notification sent to Santiago Garcia Mantinan <manty@debian.org>:
Bug acknowledged by developer. (Sat, 02 Feb 2013 13:06:03 GMT) Full text and rfc822 format available.

Message #98 received at 648604-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 648604-close@bugs.debian.org
Subject: Bug#648604: fixed in lightdm 1.2.3-1
Date: Sat, 02 Feb 2013 13:02:41 +0000
Source: lightdm
Source-Version: 1.2.3-1

We believe that the bug you reported is fixed in the latest version of
lightdm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated lightdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 02 Feb 2013 11:21:58 +0100
Source: lightdm
Binary: lightdm lightdm-vala liblightdm-gobject-1-0 liblightdm-qt-2-0 liblightdm-gobject-dev liblightdm-qt-dev
Architecture: source amd64
Version: 1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 liblightdm-gobject-1-0 - simple display manager (gobject library)
 liblightdm-gobject-dev - simple display manager (gobject development files)
 liblightdm-qt-2-0 - simple display manager (Qt library)
 liblightdm-qt-dev - simple display manager (Qt development files)
 lightdm    - simple display manager
 lightdm-vala - simple display manager (Vala files)
Closes: 648604 682473 688756 689870
Changes: 
 lightdm (1.2.3-1) unstable; urgency=low
 .
   [ Yves-Alexis Perez ]
   * New upstream release.
    - correctly set utmp records.                                closes: #648604
    - fix autologin timeouts.                                    closes: #682473
   * debian/patches:
     - 02_default-config updated, use Xorg as default X command. closes: #688756
     - 01_set-default-path and 04_dont-add-pkglibexecdir-path refreshed.
   * debian/watch updated to track 1.2 branch.
 .
   [ Daniel Echeverry ]
   * Upstream changelog is bogus.                                closes: #689870
Checksums-Sha1: 
 cd197fa5d22a43ee28f87d7de381c702d4432e3e 2208 lightdm_1.2.3-1.dsc
 450bbfc9e300dd6053d7cc1a9c223dde9c704f8a 646902 lightdm_1.2.3.orig.tar.gz
 1289bdb649b64b418ea462012e64a7c6f3a5878c 33111 lightdm_1.2.3-1.debian.tar.gz
 f52888baeda530da355a16e3670e158166f8db6e 139986 lightdm_1.2.3-1_amd64.deb
 c97344554f6734eafba28220d748caffb7933f14 15224 lightdm-vala_1.2.3-1_amd64.deb
 6c2de8a7e91f6481ad196f05d109f5dbf051429f 42678 liblightdm-gobject-1-0_1.2.3-1_amd64.deb
 3f91dc305620b086fdf1035b2d526f71b1553310 44144 liblightdm-qt-2-0_1.2.3-1_amd64.deb
 ee64e4864d573b02ca3e591e9dd79b223d3c4568 67032 liblightdm-gobject-dev_1.2.3-1_amd64.deb
 7cf47625b323fa8c07809d654030e1d404dc990d 49862 liblightdm-qt-dev_1.2.3-1_amd64.deb
Checksums-Sha256: 
 77dcae1e93d9231957637a3dbd5b1a9f57dda052335341b8b58d77d59d00223b 2208 lightdm_1.2.3-1.dsc
 06cbc59d652e4a17725543ac1a7051388fc85d33d9e284ceb4b9972faeafca58 646902 lightdm_1.2.3.orig.tar.gz
 91263462d45c4516039a7909b69f6579f4b3a70a3aa81d03219badb3e68fe208 33111 lightdm_1.2.3-1.debian.tar.gz
 50181c25f2a7aa3cfb3d1f4f46923efd0036b37d584838a99533bc0f60e82b15 139986 lightdm_1.2.3-1_amd64.deb
 c2d8908275461a0e3c0a7a694d9a407f95983d50ccb3b9b8e028ec2c80358ff2 15224 lightdm-vala_1.2.3-1_amd64.deb
 7676bb890fe84860fc8ce2d96e46f2ce0b05ed45624ef65d9ef25c4b4902debf 42678 liblightdm-gobject-1-0_1.2.3-1_amd64.deb
 4fd714fc1eda19266dcd2e94ba63d0c0a6c2859dc367d87fc7edf54e89736235 44144 liblightdm-qt-2-0_1.2.3-1_amd64.deb
 cdc4a44011c1fb4f860fc6224070d7dfbef3ebe400b6743aa3f4e36ae6b4177c 67032 liblightdm-gobject-dev_1.2.3-1_amd64.deb
 8a90ac9a20e5132891a89ef4c261c11923285ad52ee6ba5e4d457ee0d1abc372 49862 liblightdm-qt-dev_1.2.3-1_amd64.deb
Files: 
 2f37ec0d1c1d2de7e2b0498222a7facd 2208 x11 optional lightdm_1.2.3-1.dsc
 e0f3781d087872fc745ef4c84d5d6c15 646902 x11 optional lightdm_1.2.3.orig.tar.gz
 26a85f59c9d50cc709213b572602cbc4 33111 x11 optional lightdm_1.2.3-1.debian.tar.gz
 48bf11ad5df78738a370b2dfb0980608 139986 x11 optional lightdm_1.2.3-1_amd64.deb
 5d03b5615e92b5cf17bf7fe777458769 15224 x11 optional lightdm-vala_1.2.3-1_amd64.deb
 82ef38cca2c9ce015d77a0a2de1af165 42678 libdevel optional liblightdm-gobject-1-0_1.2.3-1_amd64.deb
 fd5f879908569ca231e1121e501f4bb5 44144 libdevel optional liblightdm-qt-2-0_1.2.3-1_amd64.deb
 ece65c0d2d7502380202bcde2c65eb91 67032 libdevel optional liblightdm-gobject-dev_1.2.3-1_amd64.deb
 aa640e43a26b27b5fe94c00a377407de 49862 libdevel optional liblightdm-qt-dev_1.2.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iQEcBAEBCgAGBQJRDQ1OAAoJEG3bU/KmdcCliLQH/ilWAR9+26FP0N0oxwxYksl9
tE4bOP917mNchsSIaL1/W+lQ4RQQq7g8ChzmWmrqL3sxDK/DXCkbYztfHyAo5y3/
03iWb26SuGc9JDbj0wt/99tOWHmDtEZqD7aqDj0hDrERNAkYO1beAkplo0/BtJhx
LdWOXxVn0tET2TKJXn8IVwbXY/E4eiimiZhiL21VzfCfxDx8TAo05gBcoaHPWv48
POcz3drNJa3umUcxCkZvXsiuSgnAJBP6UZjDb+5LcfV3Q9p7lyIgIjWPPKR8NU9s
cDGe3eflXGNNMdoKxSQFu85ypfUUlcs6uYo02iUXkgraUJA7louBwlu3sXxUAe0=
=cany
-----END PGP SIGNATURE-----




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sat, 02 Feb 2013 13:06:04 GMT) Full text and rfc822 format available.

Notification sent to Yampress <yampresss@gmail.com>:
Bug acknowledged by developer. (Sat, 02 Feb 2013 13:06:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:30:56 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 29 Jun 2013 06:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Sat, 29 Jun 2013 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sat, 29 Jun 2013 06:27:05 GMT) Full text and rfc822 format available.

Message #111 received at 648604@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 648604@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: lightdm doesn't update utmp/wtmp
Date: Sat, 29 Jun 2013 08:23:26 +0200
severity 648604 critical
thanks

Hi.  This bug do not only break power management, it also break the
Debian Edu networked profiles in Wheezy, as they use the killer package
to ensure left behind processes for not logged in users are killed
regularly.

When a user log in using lightdm, utmp do not show the logged in user as
a logged in user, and all the session processes are automatically killed
within the hour by killer.

Can you please backport a fix for the version of lightdm in
stable/Wheezy too?  I notice it is fixed in testing and unstable
already.

Setting severity to critical, as this bug break unrelated software on
the system.  Having a release critical severity might also help to get a
fix past the stable release managers.

-- 
Happy hacking
Petter Reinholdtsen



Severity set to 'critical' from 'wishlist' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 29 Jun 2013 06:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#648604; Package lightdm. (Sat, 29 Jun 2013 07:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sat, 29 Jun 2013 07:00:05 GMT) Full text and rfc822 format available.

Message #118 received at 648604@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 648604@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#648604: lightdm doesn't update utmp/wtmp
Date: Sat, 29 Jun 2013 08:56:33 +0200
[Message part 1 (text/plain, inline)]
Control: severity -1 wishlist
On sam., 2013-06-29 at 08:23 +0200, Petter Reinholdtsen wrote:
> severity 648604 critical
> thanks

Come on…
> 
> Hi.  This bug do not only break power management, it also break the
> Debian Edu networked profiles in Wheezy, as they use the killer package
> to ensure left behind processes for not logged in users are killed
> regularly.
> 
> When a user log in using lightdm, utmp do not show the logged in user as
> a logged in user, and all the session processes are automatically killed
> within the hour by killer.

> 
> Can you please backport a fix for the version of lightdm in
> stable/Wheezy too?  I notice it is fixed in testing and unstable
> already.

Stable and Testing/Unstable use very different version, I'm not really
sure it's really possible, but will have a look. It's low priority
though.
> 
> Setting severity to critical, as this bug break unrelated software on
> the system.  Having a release critical severity might also help to get a
> fix past the stable release managers.
> 
Artificially inflating the severity won't achieve that, sorry. Having
support for utmp is nice to have indeed, but that's all. That makes it
incompatible with killer package, too bad. But it *doesnt* “breaks
unrelated software”. Actually someone could also just say killer breaks
unrelated software by killing innocent processes. In turns that makes
lightdm useless in Debian Edu, that's unfortunate, but that

So again, no need to inflate severity. We'll have a look at it, but
don't hold your breath.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Severity set to 'wishlist' from 'critical' Request was from Yves-Alexis Perez <corsac@debian.org> to 648604-submit@bugs.debian.org. (Sat, 29 Jun 2013 07:00:05 GMT) Full text and rfc822 format available.

Marked as found in versions lightdm/1.2.2-4. Request was from "Andreas B. Mundt" <andi.mundt@web.de> to control@bugs.debian.org. (Sat, 29 Jun 2013 07:00:10 GMT) Full text and rfc822 format available.

Merged 648604 682221 711382 Request was from "Andreas B. Mundt" <andi.mundt@web.de> to control@bugs.debian.org. (Sat, 29 Jun 2013 07:00:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Jul 2013 07:26:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:04:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.